Subject: Re: Installation hangs because asks for input from terminal (Attn: tetex maintainer, setup maintainer)
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Mon, 13 Sep 2004 20:54:11 +0200

Igor Pechtchanski writes:

> Not really.  As Max said, the environment in which the postinstall scripts
> run is the same as the one you'd get when you run them on the command line
> (albeit from a non-login /bin/sh).  That environment will contain all of
> the Windows-set environment variables.  If the tools require that some
> variables be unset (because they might throw the tools off, for example),
> the variables have to be unset in the postinstall script -- setup.exe
> can't be expected to know all of the variables potentially conflicting
> with all of the packages.

No, of course.  That's why I'd like to have an empty (rather than a
cleaned) environment, isn't that possible?  That sounds cleaner than
fixing all scripts?

FWIW, the way teTeX works, most variables set in texmf.cnf are
overridden by the environment; it would be next to impossible to
guarantee a successful teTeX environment after logging in if variables
from the WINDOWS are allowed to silently enter the Cygwin
environment...

> OTOH, I've already submitted the patch to setup.exe that kills stdin in
> postinstall scripts, so that even if some tool asks for input, it'll just
> get EOF.

That's great, but it will mean that with the current post-texmf.sh
(without resetting of the enviroment), the resulting teTeX setup will
be broken.

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/